Name:		bonito-open
Version:	5.58.1
Release:	1%{?dist}
Summary:	Bonito is a web interface for Manatee

Group:		Applications/Text
License:	GPLv2+
URL:		https://nlp.fi.muni.cz/trac/noske/
Source0:	bonito-open-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:  make

Requires:	manatee-open-python3 >= 2.199
Requires:	manatee-open >= 2.199
Requires:	gdex >= 4
Requires:	python3-prctl
Requires:	httpd
Requires:	python3-openpyxl

Provides:	bonito-open = %{version}-%{release}

%description
Bonito is an API interface for the Manatee corpus management system.

%prep
%setup -n bonito-open-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
touch $RPM_BUILD_ROOT%{python3_sitelib}/bonito/__init__.py
MANATEE_REGISTRY=%{_localstatedir}/lib/manatee/registry DESTDIR=$RPM_BUILD_ROOT ./setupbonito %{_localstatedir}/www/bonito/ %{_localstatedir}/lib/bonito
# registration
sed -i 's|/var/lib/ske|/var/lib/bonito|' registration.cgi
sed -i 's|PYTHON_SITELIB|%{python3_sitelib}|' registration.cgi
chmod +x registration.cgi
cp registration.cgi $RPM_BUILD_ROOT%{_localstatedir}/www/bonito/registration.cgi
# install Apache conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mv $RPM_BUILD_ROOT%{_localstatedir}/www/bonito/.htaccess $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/bonito.conf
# install skejobserver systemd service
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system
sed -i 's|Group=.*|Group=apache|' misc/skejobserver.service
sed 's|PYTHON_SITELIB|%{python3_sitelib}|' misc/skejobserver.service > $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system/skejobserver.service
sed -i 's|/var/lib/ske|/var/lib/bonito|' misc/skejobserver.conf
sed 's|^python_sitelib=.*|python_sitelib="%{python3_sitelib}"|' misc/skejobserver.conf > $RPM_BUILD_ROOT%{_sysconfdir}/skejobserver
# clear_cache cronjob
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
sed -i "s|@cgipath@|%{_localstatedir}/www/bonito/|" misc/bonito_clear_cache.cron
sed 's|/usr/bin/bonito_clear_cache|%{_bindir}/bonito_clear_cache|' misc/bonito_clear_cache.cron > $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/bonito_clear_cache
cp bonito_clear_cache $RPM_BUILD_ROOT%{_bindir}/bonito_clear_cache
chmod +x $RPM_BUILD_ROOT%{_bindir}/bonito_clear_cache

%post
/bin/systemctl --system daemon-reload &> /dev/null || :
chmod +x %{python3_sitelib}/bonito/jobrunner.py
/usr/bin/systemctl enable skejobserver.service
/usr/bin/systemctl start skejobserver.service
if [ $1 -eq 1 ]; then # install
    chgrp -R apache %{_localstatedir}/lib/bonito
    chmod -R g+rwX %{_localstatedir}/lib/bonito
fi
if [ $1 -eq 2 ]; then # update
    /bin/systemctl reload httpd.service
    /bin/systemctl restart skejobserver.service
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/setupbonito
%{_bindir}/bonito_clear_cache
%{_datadir}/bonito
%{python3_sitelib}/bonito
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bonito.conf
%config(noreplace) %{_sysconfdir}/cron.d/bonito_clear_cache
%config(noreplace) %{_localstatedir}/www/bonito/run.cgi
%config(noreplace) %{_localstatedir}/www/bonito/registration.cgi
%config(noreplace) %{_localstatedir}/lib/bonito/htpasswd
%config(noreplace) %{_localstatedir}/lib/bonito/cache/
%config(noreplace) %{_localstatedir}/lib/bonito/jobs/
%config(noreplace) %{_localstatedir}/lib/bonito/options/
%config(noreplace) %{_localstatedir}/lib/bonito/subcorp/
%config(noreplace) %{_localstatedir}/lib/bonito/registration/
%config(noreplace) %{_sysconfdir}/skejobserver
%{_prefix}/lib/systemd/system/skejobserver.service

%changelog
* Tue Nov 01 2022 GitLab Runner - 5.58.1-1
- new version

* Thu Dec 12 2019 GitLab Runner - 4.20.11-1
- new version
